<template>
	<div class="py-10 w-full relative">
		<Header addClass="max-w-screen-2xl px-10" />
		<SectionQueue addClass="ml-5 mr-10 lg-mid:m-10" />
		<Footer @config="toggleModalConfig" addClass="mx-10" />
		<ModalConfig
			:showModal="showModalConfig"
			@close="toggleModalConfig"
			@save="saveHost"
		/>
		<ModalLoading :show="showModalLoading" @toggle="toggleModalLoading" />
	</div>
</template>

<script>
import Header from "./Header/Header.vue";
import SectionQueue from "./SectionQueue/SectionQueue.vue";
import Footer from "./Footer/Footer.vue";
import ModalConfig from "../../components/Modals/ModalConfig.vue";
import ModalLoading from "../../components/Modals/ModalLoading.vue";

export default {
	name: "QueueSystem",
	data() {
		return {
			showModalConfig: false,
			showModalLoading: false,
		};
	},
	components: {
		Header,
		SectionQueue,
		Footer,
		ModalConfig,
		ModalLoading,
	},
	methods: {
		toggleModalLoading() {
			this.showModalLoading = !this.showModalLoading;
			setTimeout(() => {
				this.showModalLoading = !this.showModalLoading;
			}, 1500);
		},
		toggleModalConfig() {
			this.showModalConfig = !this.showModalConfig;
		},
		saveHost(host) {
			console.log(host);
			this.toggleModalConfig();
			this.toggleModalLoading();
		},
	},
};
</script>

<style>
</style>